# Uses of Interface
org.opensaml.xmlsec.DecryptionParametersResolver

Packages that use DecryptionParametersResolver
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of DecryptionParametersResolver in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl declared as DecryptionParametersResolver
Modifier and Type
Field
Description
`private DecryptionParametersResolver`
PopulateDecryptionParameters.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.profile.action.impl with parameters of type DecryptionParametersResolver
Modifier and Type
Method
Description
`void`
PopulateDecryptionParameters.`setDecryptionParametersResolver(DecryptionParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.

## Uses of DecryptionParametersResolver in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement DecryptionParametersResolver
Modifier and Type
Class
Description
`class`
`BasicDecryptionParametersResolver`
Basic implementation of `DecryptionParametersResolver`.
`class`
`StaticDecryptionParametersResolver`
Resolve an instance of `DecryptionParameters` statically.